<?php

namespace App\Providers;

use App\Facade\Site;
use Illuminate\Support\ServiceProvider;

class SiteServiceProvider extends ServiceProvider
{
    /**
     * Bootstrap the application services
     */
    public function boot()
    {
        $this->app->singleton('siteData', function () {
            return $this->app->make(Site::class);
        });
    }

    /**
     * register the application services
     */
    public function register()
    {

    }
}